org.apache.fop.pdf

## Class PDFDests

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.PDFNameTreeNode
      - - org.apache.fop.pdf.PDFDests

All Implemented Interfaces:
  PDFWritable

    public class PDFDests
    extends PDFNameTreeNode

class representing an /Dests dictionary object

### Field Summary

### Fields inherited from class org.apache.fop.pdf.PDFDictionary

`entries, order`

### Fields inherited from class org.apache.fop.pdf.PDFObject

`log`

### Constructor Summary

Constructors
Constructor and Description
`PDFDests()` Create a named destination
`PDFDests(List destinationList)` Create a named destination

### Method Summary

### Methods inherited from class org.apache.fop.pdf.PDFNameTreeNode

`getKids, getLowerLimit, getNames, getUpperLimit, setKids, setLowerLimit, setNames, setUpperLimit`

### Methods inherited from class org.apache.fop.pdf.PDFDictionary

`containsKey, get, getChildren, getChildren, keySet, output, put, put, remove, writeDictionary`

### Methods inherited from class org.apache.fop.pdf.PDFObject

`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFDests

    public PDFDests()

Create a named destination

#### PDFDests

    public PDFDests(List destinationList)

Create a named destination

Parameters:
  `destinationList` - a list of destinations